#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mouse
Summary:	Mouse - Moose minus the antlers
Name:		perl-Mouse
Version:	2.5.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/S/SK/SKAJI/%{pdir}-v%{version}.tar.gz
# Source0-md5:	1e19104c58009137d715af8e919a3a7c
URL:		http://search.cpan.org/dist/Mouse/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Module-Build-XSUtil
%if %{with tests}
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.8
BuildRequires:	perl-Test-LeakTrace
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Moose is wonderful. Use Moose instead of Mouse.

Unfortunately, it's a little slow. Though significant progress has
been made over the years, the compile time penalty is a non-starter
for some applications.

Mouse aims to alleviate this by providing a subset of Moose's
functionality, faster. In particular, L<Moose/has> is missing only a
few expert-level features.

%prep
%setup -q -n %{pdir}-v%{version}

%build
%{__perl} Build.PL \
        destdir=$RPM_BUILD_ROOT \
	installdirs=vendor

./Build \
	CFLAGS="%{rpmcflags}"

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/MouseX

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/MouseX/
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/Mouse/
%{perl_vendorarch}/Squirrel/
%{perl_vendorarch}/Test/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/*.so
%{_mandir}/man3/*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mouse.git;a=log;h=auto/th/perl-Mouse-2.5.6-1

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> c768cf4
- updated to 2.5.6

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> 4f7ba54
- up to 2.4.9

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e0f5c2a
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f8f0423
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f83ee51
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 4746deb
- Merge branch 'master' of git://git.pld-linux.org/packages/perl-Mouse

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 45c12af
- up to 2.4.5

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> b7f82b7
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> acaac56
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b8b8ed9
- x32 rebuild
- release 2 (by relup.sh)

* Thu Sep 18 2014 Jan Rękorajski <baggins@pld-linux.org> 4761ea8
- up to 2.3.0

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 863f2c9
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 619fbef
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8af6df1
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 86c7820
- up to 0.97

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f4ce425
- release 2

* Mon Feb 22 2010 radek <radek@pld-linux.org> c45974d
- version 0.50, WARNING: not noarch anymore

* Thu Sep 10 2009 radek <radek@pld-linux.org> 713b953
- version 0.28

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 6302903
- updated to 0.27
- Source0: URL changed

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 9efc05b
- updated Source0 URL

